classification
Title: [zipimport] Update zipimport to use specs
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, twouters
Priority: normal Keywords: patch

Created on 2020-10-23 22:05 by brett.cannon, last changed 2020-11-16 23:01 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23187 merged brett.cannon, 2020-11-07 02:40
Messages (2)
msg379481 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2020-10-23 22:05
zipimport only supports old PEP 302 APIs and not PEP 451 module specs (i.e. it uses load_module() instead of create_module()/exec_module(), find_mdoule() instead of find_spec()).

Uses of both load_module() and find_module() are documented as deprecated for the import system and are slated to eventually go away.
msg380940 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2020-11-13 23:15
New changeset d2e94bb0848e04a90efa51be401f0ce8a9e252f2 by Brett Cannon in branch 'master':
bpo-42131: Add PEP 451-related methods to zipimport (GH-23187)
https://github.com/python/cpython/commit/d2e94bb0848e04a90efa51be401f0ce8a9e252f2
History
Date User Action Args
2020-11-16 23:01:09brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-11-13 23:15:05brett.cannonsetmessages: + msg380940
2020-11-07 02:40:34brett.cannonsetkeywords: + patch
stage: resolved -> patch review
pull_requests: + pull_request22090
2020-11-07 00:46:58brett.cannonsetstatus: closed -> open
assignee: brett.cannon
superseder: zipimport is not PEP 3147 or PEP 488 compliant ->
resolution: duplicate -> (no value)
2020-11-04 20:03:15brett.cannonsetstatus: open -> closed
resolution: duplicate
stage: resolved
2020-11-04 20:03:08brett.cannonsetsuperseder: zipimport is not PEP 3147 or PEP 488 compliant
2020-10-23 22:05:33brett.cannoncreate